<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelInventorySpace Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelInventorySpace Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelInventorySpace" --><!-- doxytag: inherits="iBase" -->
<p>This interface represents a space system for the inventory property class.  
 <a href="structiCelInventorySpace.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="inv_8h_source.html">propclass/inv.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelInventorySpace:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelInventorySpace.png" usemap="#iCelInventorySpace_map" alt=""/>
  <map id="iCelInventorySpace_map" name="iCelInventorySpace_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,123,24"/>
</map>
 </div></div>

<p><a href="structiCelInventorySpace-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpace.html#a41fdb513c13c386c5f3c892dffdb111c">AddEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">When some code calls old-style <a class="el" href="structiCelInventorySpace.html#a41fdb513c13c386c5f3c892dffdb111c" title="When some code calls old-style AddEntity() (with no parameters) on the iPcInventory then this functio...">AddEntity()</a> (with no parameters) on the <a class="el" href="structiPcInventory.html" title="This is an inventory property class.">iPcInventory</a> then this function will be called.  <a href="#a41fdb513c13c386c5f3c892dffdb111c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpace.html#a83f86dbc8f4cfe7584a798f5c29e40d8">AddEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an entity on a given slot.  <a href="#a83f86dbc8f4cfe7584a798f5c29e40d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpace.html#ac5c6065d5b4f91cedc9fcbb459712e17">GetEntity</a> (<a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Try to get a certain entity from a slot.  <a href="#ac5c6065d5b4f91cedc9fcbb459712e17"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiCelInventorySpaceSlot.html">iCelInventorySpaceSlot</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpace.html#ad365958e0f3a8574dc0e1137ee906660">GetSlot</a> (<a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Try to get a certain slot.  <a href="#ad365958e0f3a8574dc0e1137ee906660"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpace.html#a86df7eeefd9660118d9fab556940146b">GetSpaceLeft</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return how much space is left.  <a href="#a86df7eeefd9660118d9fab556940146b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpace.html#a22f9290ce338163bf522bb2b051c117e">GetSpaceTotal</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return how much space is available in total.  <a href="#a22f9290ce338163bf522bb2b051c117e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpace.html#a29e480866d3de2ab4803ab4f3c4dcf61">RemoveEntity</a> (<a class="el" href="structiCelEntity.html">iCelEntity</a> *entity)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the entity from its slot.  <a href="#a29e480866d3de2ab4803ab4f3c4dcf61"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelInventorySpace.html#a005b38cba42ea5dd275caf9e9185df49">RemoveEntity</a> (<a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove an entity (or entities) from the specified slot (through 'params').  <a href="#a005b38cba42ea5dd275caf9e9185df49"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This interface represents a space system for the inventory property class. </p>
<p>You can implement this to implement (for example) a 2D grid based system. Use iPcInventory-&gt;SetSpace() to set a space system on the inventory. </p>

<p>Definition at line <a class="el" href="inv_8h_source.html#l00094">94</a> of file <a class="el" href="inv_8h_source.html">inv.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a41fdb513c13c386c5f3c892dffdb111c"></a><!-- doxytag: member="iCelInventorySpace::AddEntity" ref="a41fdb513c13c386c5f3c892dffdb111c" args="(iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelInventorySpace.html#a41fdb513c13c386c5f3c892dffdb111c">iCelInventorySpace::AddEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>When some code calls old-style <a class="el" href="structiCelInventorySpace.html#a41fdb513c13c386c5f3c892dffdb111c" title="When some code calls old-style AddEntity() (with no parameters) on the iPcInventory then this functio...">AddEntity()</a> (with no parameters) on the <a class="el" href="structiPcInventory.html" title="This is an inventory property class.">iPcInventory</a> then this function will be called. </p>
<p>We can pick a default slot or else reject this if a slot specification is always required. /return false if there is no room or if this is not allowed. </p>

</div>
</div>
<a class="anchor" id="a83f86dbc8f4cfe7584a798f5c29e40d8"></a><!-- doxytag: member="iCelInventorySpace::AddEntity" ref="a83f86dbc8f4cfe7584a798f5c29e40d8" args="(iCelEntity *entity, iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelInventorySpace.html#a41fdb513c13c386c5f3c892dffdb111c">iCelInventorySpace::AddEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add an entity on a given slot. </p>
<p>The generic 'params' will be used to indicate the slot. It is up to the implementation of this interface to decide on how to use this. /return false if there is no room or if this is not allowed. </p>

</div>
</div>
<a class="anchor" id="ac5c6065d5b4f91cedc9fcbb459712e17"></a><!-- doxytag: member="iCelInventorySpace::GetEntity" ref="ac5c6065d5b4f91cedc9fcbb459712e17" args="(iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelEntity.html">iCelEntity</a>* <a class="el" href="structiCelInventorySpace.html#ac5c6065d5b4f91cedc9fcbb459712e17">iCelInventorySpace::GetEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Try to get a certain entity from a slot. </p>
<p>'params' is used to specify the slot and is implementation dependent. </p>

</div>
</div>
<a class="anchor" id="ad365958e0f3a8574dc0e1137ee906660"></a><!-- doxytag: member="iCelInventorySpace::GetSlot" ref="ad365958e0f3a8574dc0e1137ee906660" args="(iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiCelInventorySpaceSlot.html">iCelInventorySpaceSlot</a>* <a class="el" href="structiCelInventorySpace.html#ad365958e0f3a8574dc0e1137ee906660">iCelInventorySpace::GetSlot</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Try to get a certain slot. </p>
<p>'params' is used to specify the slot and is implementation dependent. </p>

</div>
</div>
<a class="anchor" id="a86df7eeefd9660118d9fab556940146b"></a><!-- doxytag: member="iCelInventorySpace::GetSpaceLeft" ref="a86df7eeefd9660118d9fab556940146b" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiCelInventorySpace.html#a86df7eeefd9660118d9fab556940146b">iCelInventorySpace::GetSpaceLeft</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return how much space is left. </p>

</div>
</div>
<a class="anchor" id="a22f9290ce338163bf522bb2b051c117e"></a><!-- doxytag: member="iCelInventorySpace::GetSpaceTotal" ref="a22f9290ce338163bf522bb2b051c117e" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual int <a class="el" href="structiCelInventorySpace.html#a22f9290ce338163bf522bb2b051c117e">iCelInventorySpace::GetSpaceTotal</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return how much space is available in total. </p>

</div>
</div>
<a class="anchor" id="a29e480866d3de2ab4803ab4f3c4dcf61"></a><!-- doxytag: member="iCelInventorySpace::RemoveEntity" ref="a29e480866d3de2ab4803ab4f3c4dcf61" args="(iCelEntity *entity)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelInventorySpace.html#a29e480866d3de2ab4803ab4f3c4dcf61">iCelInventorySpace::RemoveEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelEntity.html">iCelEntity</a> *&#160;</td>
          <td class="paramname"><em>entity</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove the entity from its slot. </p>
<p>/return false if it couldn't be removed. </p>

</div>
</div>
<a class="anchor" id="a005b38cba42ea5dd275caf9e9185df49"></a><!-- doxytag: member="iCelInventorySpace::RemoveEntity" ref="a005b38cba42ea5dd275caf9e9185df49" args="(iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelInventorySpace.html#a29e480866d3de2ab4803ab4f3c4dcf61">iCelInventorySpace::RemoveEntity</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove an entity (or entities) from the specified slot (through 'params'). </p>
<p>If needed the params can be extended with information to specify the right item to be removed (for stacked items). </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="inv_8h_source.html">inv.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
